#!/bin/bash
# Version majeure de Debian (..., 9, 10)
debian_version=$(cat /etc/debian_version)
debian_version=${debian_version%%.*}

die() {
  echo 
  echo "Erreur: $1"
  echo
  exit 1
}

# Fix path
export PATH="${PATH}":/usr/sbin:/sbin

# ScoDoc: environment variables
umask 0022

export SCODOC_DIR=/opt/scodoc8

SCODOC_VAR_DIR=$(realpath -L "$SCODOC_DIR/var") || die "can't set SCODOC_VAR_DIR"
export SCODOC_VAR_DIR
#  = /opt/scodoc/var/scodoc
export SCODOC_VERSION_DIR="${SCODOC_VAR_DIR}/config/version"
export SCODOC_LOGOS_DIR="${SCODOC_VAR_DIR}/config/logos"

# user running ScoDoc server:
export SCODOC_USER=scodoc
export SCODOC_GROUP=root

# Postgresql normal user: (same as unix user)
# IMPORTANT: must match SCO_DEFAULT_SQL_USER defined in sco_utils.py
export POSTGRES_USER="$SCODOC_USER"
# Postgresql superuser:
export POSTGRES_SUPERUSER=postgres

# psql command: if various versions installed, force the one we want:
if [ "${debian_version}" = "10" ]
then
 PSQL=/usr/lib/postgresql/11/bin/psql
 export POSTGRES_SERVICE="postgresql@11-main.service"
else
   die "unsupported Debian version"
fi
export PSQL

# tcp port for SQL server (under Debian 4, 5432 or 5433 for 8.1 if 7.4 also installed !)
# Important note: if changed, you should probably also change it in
#      sco_utils.py (SCO_DEFAULT_SQL_PORT).
export POSTGRES_PORT=5432
